/****************************************************************************
** Form interface generated from reading ui file 'tablegenerator.ui'
**
** Created: Tue Apr 9 19:36:15 2002
**      by:  The User Interface Compiler (uic)
**
****************************************************************************/
#ifndef TABLEGENERATOR_H
#define TABLEGENERATOR_H

#include <qvariant.h>
#include <qdialog.h>
class QVBoxLayout;
class QHBoxLayout; 
class QGridLayout; 
class KComboBox;
class KIntSpinBox;
class KLineEdit;
class KSqueezedTextLabel;
class QButtonGroup;
class QCheckBox;
class QFrame;
class QGroupBox;
class QListView;
class QListViewItem;
class QPushButton;
class QSplitter;
class KLocale;

class tableGenerator : public QDialog
{ 
    Q_OBJECT

public:
    tableGenerator( QString * dbase, QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~tableGenerator();

    QFrame* Frame10;
    QGroupBox* GroupBox1;
    QListView* ListView1;
    QGroupBox* GroupBox2;
    QFrame* Frame11;
    KSqueezedTextLabel* KSqueezedTextLabel8;
    KLineEdit* tableNameField;
    QGroupBox* GroupBox7;
    QFrame* Frame12;
    KSqueezedTextLabel* KSqueezedTextLabel9;
    KLineEdit* columnNameField;
    QFrame* Frame13;
    KSqueezedTextLabel* KSqueezedTextLabel9_2;
    KComboBox* columnTypeComboBox;
    QFrame* Frame14;
    QCheckBox* columnLengthCheckBox;
    KIntSpinBox* columnLengthSpinBox;
    QFrame* Frame20;
    QCheckBox* autoincCheckBox;
    QCheckBox* notnullCheckBox;
    QCheckBox* primkeyCheckBox;
    QFrame* Frame21;
    QCheckBox* keyCheckBox;
    KLineEdit* keyField;
    QFrame* Frame22;
    QCheckBox* defaultCheckBox;
    KLineEdit* defaultField;
    QButtonGroup* ButtonGroup1;
    QPushButton* buttonRemove;
    QPushButton* buttonEdit;
    QPushButton* buttonAdd;
    QPushButton* buttonShow;
    QPushButton* buttonOk;
    QPushButton* buttonCancel;
    QString* database;
    QSplitter *splitt;

signals:
    void createTableRequest(QString* db, QString* sql);
    void stopme();
    void successfull();

private slots:
    virtual void slotUpdateProps(QListViewItem * item);
    virtual void slotAddField();
    virtual void slotEditField();
    virtual void slotRemoveField();
    virtual int slotVerifyItems();
    virtual int slotShowSQL();
    virtual QString buildSQL();

protected:
    QVBoxLayout* tableGeneratorLayout;
    QGridLayout* Frame10Layout;
    QHBoxLayout* GroupBox1Layout;
    QVBoxLayout* GroupBox2Layout;
    QHBoxLayout* Frame11Layout;
    QVBoxLayout* GroupBox7Layout;
    QHBoxLayout* Frame12Layout;
    QHBoxLayout* Frame13Layout;
    QHBoxLayout* Frame14Layout;
    QHBoxLayout* Frame20Layout;
    QHBoxLayout* Frame21Layout;
    QHBoxLayout* Frame22Layout;
    QHBoxLayout* ButtonGroup1Layout;
    QHBoxLayout* Layout1;
    KLocale* kl;
    //QString buildSQL();
};

#endif // TABLEGENERATOR_H
